import * as React from 'react';
import { datagrid, t, CssValue } from '../common';
export declare type IDebugEditorProps = {
    style?: CssValue;
};
export declare type IDebugEditorState = {
    value?: t.CellValue;
    width?: number;
    textWidth?: number;
};
export declare class DebugEditor extends React.PureComponent<IDebugEditorProps, IDebugEditorState> {
    state: IDebugEditorState;
    private unmounted$;
    private state$;
    static contextType: React.Context<datagrid.IEditorContext>;
    context: datagrid.ReactEditorContext;
    private input;
    private inputRef;
    componentDidMount(): void;
    componentWillUnmount(): void;
    get value(): string;
    updateSize(): void;
    render(): JSX.Element;
    private handleChange;
}
